#region usings
using System;
using System.ComponentModel.Composition;

using VVVV.PluginInterfaces.V1;
using VVVV.PluginInterfaces.V2;
using VVVV.Utils.VColor;
using VVVV.Utils.VMath;

using VVVV.Core.Logging;
#endregion usings

namespace VVVV.Nodes.MultiTouchStack
{	
	#region PluginInfo
	[PluginInfo(Name = "Cursor", Category = "MultiTouchStack", Author = "elliotwoods", Tags = "split")]
	#endregion PluginInfo
	public class CursorNode : IPluginEvaluate
	{
		#region fields & pins
		[Input("Input")]
		public ISpread<Cursor> FInCursors;
		
		[Output("ID")]
		public ISpread<int> FOutID;
		
		[Output("Position")]
		public ISpread<Vector2D> FOutPosition;
		
		[Output("Lifetime (s)")]
		public ISpread<Double> FOutLifetime;

		[Import()]
		public ILogger FLogger;
		#endregion fields & pins

		//called when data for any output pin is requested
		public void Evaluate(int SpreadMax)
		{
			
		}
	}
}
